﻿using F122475_SampleApp1.Infrastructure;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace F122475_SampleApp1
{
    public class MainWindowViewModel : ObservableObject
    {
        private DataSet _sampleData;

        public DataSet SampleData
        {
            get { return _sampleData; }
            set { _sampleData = value; OnPropertyChanged(); }
        }

        public MainWindowViewModel()
        {
            _sampleData = GetData();
        }

        private DataSet GetData()
        {
            DataSet ds = new DataSet();

            // ==== Parent Table ===
            DataTable dtParent = ds.Tables.Add("DataTable1");

            // Columns
            dtParent.Columns.Add("Key", typeof(String));
            dtParent.Columns.Add("DataColumn1", typeof(String));
            dtParent.Columns.Add("DataColumn2", typeof(String));
            dtParent.Columns.Add("DataColumn3", typeof(String));

            // Primary Key
            dtParent.PrimaryKey = new DataColumn[] { dtParent.Columns["Key"] };


            // ==== Child Table ====
            DataTable dtChild = ds.Tables.Add("DataTable2");

            // Columns
            dtChild.Columns.Add("ParentKey", typeof(String));
            dtChild.Columns.Add("Key", typeof(String));
            dtChild.Columns.Add("DataColumn1", typeof(String));
            dtChild.Columns.Add("DataColumn2", typeof(String));
            dtChild.Columns.Add("DataColumn3", typeof(String));

            // Primary Key
            dtChild.PrimaryKey = new DataColumn[] { dtChild.Columns["Key"] };


            // Relation
            ds.Relations.Add(new DataRelation("ParentChildRelation", dtParent.Columns["Key"], dtChild.Columns["ParentKey"]));


            return ds;
        }
    }
}
